# Uses of Class
org.apache.sling.distribution.journal.queue.QueueState

Packages that use QueueState
Package
Description
org.apache.sling.distribution.journal.impl.publisher
org.apache.sling.distribution.journal.queue

## Uses of QueueState in org.apache.sling.distribution.journal.impl.publisher

Methods in org.apache.sling.distribution.journal.impl.publisher that return QueueState
Modifier and Type
Method
Description
`QueueState`
MessagingCacheCallback.`getQueueState(String pubAgentName, String subAgentId)`

## Uses of QueueState in org.apache.sling.distribution.journal.queue

Methods in org.apache.sling.distribution.journal.queue that return QueueState
Modifier and Type
Method
Description
`QueueState`
CacheCallback.`getQueueState(String pubAgentName, String subAgentId)`